# Generated by Django 4.2 on 2024-05-14 13:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AppDetail',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
                ('region', models.CharField(choices=[('United State', 'United State'), ('India', 'India'), ('China', 'China')], max_length=60)),
                ('framework', models.CharField(choices=[('Django', 'Django'), ('Vue.js', 'Vue.js'), ('Laravel', 'Laravel')], max_length=60)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'app_details',
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50)),
                ('repository', models.CharField(max_length=60)),
                ('branch', models.CharField(max_length=60)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'organizations',
            },
        ),
        migrations.CreateModel(
            name='Plan',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('plan_type', models.CharField(choices=[('startter', 'starter'), ('medium', 'medium'), ('advance', 'advance')], max_length=50)),
                ('object_of', models.CharField(choices=[('App', 'App'), ('Database', 'Database')], max_length=20)),
                ('storage', models.CharField(max_length=15)),
                ('bandwidth', models.CharField(max_length=20)),
                ('ram', models.CharField(max_length=20)),
                ('monthly_cost', models.FloatField()),
                ('hourly_cost', models.FloatField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'plans',
            },
        ),
        migrations.CreateModel(
            name='Database',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('Plan', models.ForeignKey(limit_choices_to={'object_of': 'Database'}, on_delete=django.db.models.deletion.PROTECT, related_name='plan', to='db.plan')),
                ('app', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='app_detail', to='db.appdetail')),
            ],
            options={
                'db_table': 'databases',
            },
        ),
        migrations.AddField(
            model_name='appdetail',
            name='organization',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='app_detail', to='db.organization'),
        ),
        migrations.AddField(
            model_name='appdetail',
            name='plan',
            field=models.ForeignKey(limit_choices_to={'object_of': 'App'}, on_delete=django.db.models.deletion.PROTECT, related_name='app_detail', to='db.plan'),
        ),
    ]
